Skip to main content
DELETE
/
remove-consent
/
{ck}
Remove Consent
curl --request DELETE \
  --url https://api.central.consent/remove-consent/{ck} \
  --header 'Authorization: Bearer <token>'
{
  "response": {
    "resource": "/<request-end-point-path>",
    "response-time-stamp": "2027-11-10T17:07:01.580Z",
    "transaction-id": "tid_691df0c788ca043403b7fa90"
  },
  "duid": "duid_691df0c788ca043403b7fa90",
  "ck": {
    "key": "ck_691df0c788ca043403b7fa90",
    "consent-expiry": "2027-11-10T17:07:01.580Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer tokens are available via the /login endpoint

Path Parameters

ck
string
required

Unique token that relates to an individual consent registration

Example:

"ck_691df0c788ca043403b7fa90"

Response

Consent removed successfully.

response
object
required

Metadata about the response.

duid
string
required

Identity of the Data User of which the consent is removed from

Example:

"duid_691df0c788ca043403b7fa90"

ck
object
required

Consent Token to be removed